/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.games.model;

import com.google.api.client.json.GenericJson;

/**
 * This is a JSON template for an achievement increment response
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Play Game Services API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class AchievementIncrementResponse extends GenericJson {

  /**
   * The current steps recorded for this incremental achievement.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Integer currentSteps;

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#achievementIncrementResponse.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Whether the the current steps for the achievement has reached the number of steps required to
   * unlock.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Boolean newlyUnlocked;

  /**
   * The current steps recorded for this incremental achievement.
   * The value returned may be {@code null}.
   */
  public Integer getCurrentSteps() {
    return currentSteps;
  }

  /**
   * The current steps recorded for this incremental achievement.
   * The value set may be {@code null}.
   */
  public AchievementIncrementResponse setCurrentSteps(Integer currentSteps) {
    this.currentSteps = currentSteps;
    return this;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#achievementIncrementResponse.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#achievementIncrementResponse.
   * The value set may be {@code null}.
   */
  public AchievementIncrementResponse setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Whether the the current steps for the achievement has reached the number of steps required to
   * unlock.
   * The value returned may be {@code null}.
   */
  public Boolean getNewlyUnlocked() {
    return newlyUnlocked;
  }

  /**
   * Whether the the current steps for the achievement has reached the number of steps required to
   * unlock.
   * The value set may be {@code null}.
   */
  public AchievementIncrementResponse setNewlyUnlocked(Boolean newlyUnlocked) {
    this.newlyUnlocked = newlyUnlocked;
    return this;
  }

}
