/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.games.model;

import com.google.api.client.json.GenericJson;
import com.google.api.client.json.JsonString;

/**
 * This is a JSON template for aggregate stats.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Play Game Services API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class AggregateStats extends GenericJson {

  /**
   * The number of messages sent between a pair of peers.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key @JsonString
  private Long count;

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#aggregateStats.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The maximum amount.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key @JsonString
  private Long max;

  /**
   * The minimum amount.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key @JsonString
  private Long min;

  /**
   * The total number of bytes sent for messages between a pair of peers.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key @JsonString
  private Long sum;

  /**
   * The number of messages sent between a pair of peers.
   * The value returned may be {@code null}.
   */
  public Long getCount() {
    return count;
  }

  /**
   * The number of messages sent between a pair of peers.
   * The value set may be {@code null}.
   */
  public AggregateStats setCount(Long count) {
    this.count = count;
    return this;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#aggregateStats.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#aggregateStats.
   * The value set may be {@code null}.
   */
  public AggregateStats setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The maximum amount.
   * The value returned may be {@code null}.
   */
  public Long getMax() {
    return max;
  }

  /**
   * The maximum amount.
   * The value set may be {@code null}.
   */
  public AggregateStats setMax(Long max) {
    this.max = max;
    return this;
  }

  /**
   * The minimum amount.
   * The value returned may be {@code null}.
   */
  public Long getMin() {
    return min;
  }

  /**
   * The minimum amount.
   * The value set may be {@code null}.
   */
  public AggregateStats setMin(Long min) {
    this.min = min;
    return this;
  }

  /**
   * The total number of bytes sent for messages between a pair of peers.
   * The value returned may be {@code null}.
   */
  public Long getSum() {
    return sum;
  }

  /**
   * The total number of bytes sent for messages between a pair of peers.
   * The value set may be {@code null}.
   */
  public AggregateStats setSum(Long sum) {
    this.sum = sum;
    return this;
  }

}
