/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.games.model;

import com.google.api.client.json.GenericJson;

/**
 * This is a JSON template for the Android instance details resource.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Play Game Services API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class InstanceAndroidDetails extends GenericJson {

  /**
   * Flag indicating whether the anti-piracy check is enabled.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Boolean enablePiracyCheck;

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#instanceAndroidDetails.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Android package name which maps to Google Play URL.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String packageName;

  /**
   * Indicates that this instance is the default for new installations.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Boolean preferred;

  /**
   * Flag indicating whether the anti-piracy check is enabled.
   * The value returned may be {@code null}.
   */
  public Boolean getEnablePiracyCheck() {
    return enablePiracyCheck;
  }

  /**
   * Flag indicating whether the anti-piracy check is enabled.
   * The value set may be {@code null}.
   */
  public InstanceAndroidDetails setEnablePiracyCheck(Boolean enablePiracyCheck) {
    this.enablePiracyCheck = enablePiracyCheck;
    return this;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#instanceAndroidDetails.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#instanceAndroidDetails.
   * The value set may be {@code null}.
   */
  public InstanceAndroidDetails setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Android package name which maps to Google Play URL.
   * The value returned may be {@code null}.
   */
  public String getPackageName() {
    return packageName;
  }

  /**
   * Android package name which maps to Google Play URL.
   * The value set may be {@code null}.
   */
  public InstanceAndroidDetails setPackageName(String packageName) {
    this.packageName = packageName;
    return this;
  }

  /**
   * Indicates that this instance is the default for new installations.
   * The value returned may be {@code null}.
   */
  public Boolean getPreferred() {
    return preferred;
  }

  /**
   * Indicates that this instance is the default for new installations.
   * The value set may be {@code null}.
   */
  public InstanceAndroidDetails setPreferred(Boolean preferred) {
    this.preferred = preferred;
    return this;
  }

}
