/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.games.model;

import com.google.api.client.json.GenericJson;

/**
 * This is a JSON template for peer channel diagnostics.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Play Game Services API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class PeerChannelDiagnostics extends GenericJson {

  /**
   * Number of bytes received.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private AggregateStats bytesReceived;

  /**
   * Number of bytes sent.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private AggregateStats bytesSent;

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#peerChannelDiagnostics.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Number of messages lost.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Integer numMessagesLost;

  /**
   * Number of messages received.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Integer numMessagesReceived;

  /**
   * Number of messages sent.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Integer numMessagesSent;

  /**
   * Number of send failures.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Integer numSendFailures;

  /**
   * Roundtrip latency stats in milliseconds.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private AggregateStats roundtripLatencyMillis;

  /**
   * Number of bytes received.
   * The value returned may be {@code null}.
   */
  public AggregateStats getBytesReceived() {
    return bytesReceived;
  }

  /**
   * Number of bytes received.
   * The value set may be {@code null}.
   */
  public PeerChannelDiagnostics setBytesReceived(AggregateStats bytesReceived) {
    this.bytesReceived = bytesReceived;
    return this;
  }

  /**
   * Number of bytes sent.
   * The value returned may be {@code null}.
   */
  public AggregateStats getBytesSent() {
    return bytesSent;
  }

  /**
   * Number of bytes sent.
   * The value set may be {@code null}.
   */
  public PeerChannelDiagnostics setBytesSent(AggregateStats bytesSent) {
    this.bytesSent = bytesSent;
    return this;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#peerChannelDiagnostics.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#peerChannelDiagnostics.
   * The value set may be {@code null}.
   */
  public PeerChannelDiagnostics setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Number of messages lost.
   * The value returned may be {@code null}.
   */
  public Integer getNumMessagesLost() {
    return numMessagesLost;
  }

  /**
   * Number of messages lost.
   * The value set may be {@code null}.
   */
  public PeerChannelDiagnostics setNumMessagesLost(Integer numMessagesLost) {
    this.numMessagesLost = numMessagesLost;
    return this;
  }

  /**
   * Number of messages received.
   * The value returned may be {@code null}.
   */
  public Integer getNumMessagesReceived() {
    return numMessagesReceived;
  }

  /**
   * Number of messages received.
   * The value set may be {@code null}.
   */
  public PeerChannelDiagnostics setNumMessagesReceived(Integer numMessagesReceived) {
    this.numMessagesReceived = numMessagesReceived;
    return this;
  }

  /**
   * Number of messages sent.
   * The value returned may be {@code null}.
   */
  public Integer getNumMessagesSent() {
    return numMessagesSent;
  }

  /**
   * Number of messages sent.
   * The value set may be {@code null}.
   */
  public PeerChannelDiagnostics setNumMessagesSent(Integer numMessagesSent) {
    this.numMessagesSent = numMessagesSent;
    return this;
  }

  /**
   * Number of send failures.
   * The value returned may be {@code null}.
   */
  public Integer getNumSendFailures() {
    return numSendFailures;
  }

  /**
   * Number of send failures.
   * The value set may be {@code null}.
   */
  public PeerChannelDiagnostics setNumSendFailures(Integer numSendFailures) {
    this.numSendFailures = numSendFailures;
    return this;
  }

  /**
   * Roundtrip latency stats in milliseconds.
   * The value returned may be {@code null}.
   */
  public AggregateStats getRoundtripLatencyMillis() {
    return roundtripLatencyMillis;
  }

  /**
   * Roundtrip latency stats in milliseconds.
   * The value set may be {@code null}.
   */
  public PeerChannelDiagnostics setRoundtripLatencyMillis(AggregateStats roundtripLatencyMillis) {
    this.roundtripLatencyMillis = roundtripLatencyMillis;
    return this;
  }

}
