/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.games.model;

import com.google.api.client.json.GenericJson;
import com.google.api.client.json.JsonString;

/**
 * This is a JSON template for peer session diagnostics.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Play Game Services API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class PeerSessionDiagnostics extends GenericJson {

  /**
   * Connected time in milliseconds.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key @JsonString
  private Long connectedTimestampMillis;

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#peerSessionDiagnostics.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The participant ID of the peer.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String participantId;

  /**
   * Reliable channel diagnostics.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private PeerChannelDiagnostics reliableChannel;

  /**
   * Unreliable channel diagnostics.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private PeerChannelDiagnostics unreliableChannel;

  /**
   * Connected time in milliseconds.
   * The value returned may be {@code null}.
   */
  public Long getConnectedTimestampMillis() {
    return connectedTimestampMillis;
  }

  /**
   * Connected time in milliseconds.
   * The value set may be {@code null}.
   */
  public PeerSessionDiagnostics setConnectedTimestampMillis(Long connectedTimestampMillis) {
    this.connectedTimestampMillis = connectedTimestampMillis;
    return this;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#peerSessionDiagnostics.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Uniquely identifies the type of this resource. Value is always the fixed string
   * games#peerSessionDiagnostics.
   * The value set may be {@code null}.
   */
  public PeerSessionDiagnostics setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The participant ID of the peer.
   * The value returned may be {@code null}.
   */
  public String getParticipantId() {
    return participantId;
  }

  /**
   * The participant ID of the peer.
   * The value set may be {@code null}.
   */
  public PeerSessionDiagnostics setParticipantId(String participantId) {
    this.participantId = participantId;
    return this;
  }

  /**
   * Reliable channel diagnostics.
   * The value returned may be {@code null}.
   */
  public PeerChannelDiagnostics getReliableChannel() {
    return reliableChannel;
  }

  /**
   * Reliable channel diagnostics.
   * The value set may be {@code null}.
   */
  public PeerSessionDiagnostics setReliableChannel(PeerChannelDiagnostics reliableChannel) {
    this.reliableChannel = reliableChannel;
    return this;
  }

  /**
   * Unreliable channel diagnostics.
   * The value returned may be {@code null}.
   */
  public PeerChannelDiagnostics getUnreliableChannel() {
    return unreliableChannel;
  }

  /**
   * Unreliable channel diagnostics.
   * The value set may be {@code null}.
   */
  public PeerSessionDiagnostics setUnreliableChannel(PeerChannelDiagnostics unreliableChannel) {
    this.unreliableChannel = unreliableChannel;
    return this;
  }

}
